<?php
error_reporting(0);
//----------
include ('inc/config.inc.php.php');
//----------
session_name('sid');
session_start();
//----------
connect_to_db();
include ('inc/autorize.php.php');
include ('inc/online.php.php');
include ('inc/pages.php.php');
$rands = rand(1000, 10000);
//----------
// Удаляем сообщения старее недели
@mysql_query("DELETE FROM `love_messages` WHERE `time_del` < ".(time() - 7 * 24 * 3600).";");
//----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
$title = 'Мои сообщения';
include ('header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
if (!$autorize) {
echo $class_d2;
echo 'Ограничения...<br/>';
echo $class_divz.$class_d0;
if($mod == '1') {
echo '</small></p><p align="left"><small>';
echo 'Вы не можете общаться с другими пользователями, голосовать, смотреть и устанавливать фото!<br/>';
}
else
{
echo '<span style="color:#000000">Вы не можете общаться с другими пользователями, голосовать, смотреть и устанавливать фото!</span><br/>';
}
echo 'Возможные причины:<br/>';
echo '- Вы не зарегистрированы - <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Регистрируйтесь</a><br/>';
echo '- Вы не вошли в систему - <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Войти</a><br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
echo $class_divz.$class_d2;
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}
if(isset($_GET['up'])) $up = $_GET['up']; else $up = "0";

$new = mysql_query("SELECT `id` FROM `love_messages` WHERE `reed` = '1' AND `ids` = '".intval($autorize['id'])."';");
$new_m = mysql_num_rows($new);

$w = mysql_query("SELECT `id` FROM `love_messages` WHERE `ids` = '".intval($autorize['id'])."';");
$all_m = mysql_num_rows($w);
$new_mail = "$new_m/$all_m";

$x = mysql_query("SELECT `id` FROM `love_messages` WHERE `uid` = '".intval($autorize['id'])."';");
$out_mail = mysql_num_rows($x);

switch($up) {

case "0":
echo $class_d2;
echo 'Мои сообщения<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo '-&#187; <a href="'.$PHP_SELF.'?up=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Входящие ('.$new_mail.')</a><br/>';
echo '-&#187; <a href="'.$PHP_SELF.'?up=2&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Отправленные ('.$out_mail.')</a><br/>';
echo '-&#187; <a href="'.$PHP_SELF.'?up=3&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Написать сообщение</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
echo 'Сообщения, которые находятся в базе данных больше недели - удаляются! Сохраняйте важные данные!<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
break;

case "1":
$query = mysql_query("SELECT `id` FROM `love_messages` WHERE `ids` = '".intval($autorize['id'])."';");
if(mysql_num_rows($query) != "0") {
$url = ''.$PHP_SELF.'?up=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'&amp;';
$wf = ONPAGE_MESS;
$tp = mysql_num_rows($query);
$mp = ceil($tp/$wf);
$page = (int)$_GET['page'];
if($page < 1) $page = 1;
if($page > $mp) $page = $mp;
$start = $page * $wf - $wf;
if(!preg_match('#^[0-9]{1,3}$#i',$page)) $page = 1;
echo $class_d2;
echo 'Входящие сообщения<br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';
$z = mysql_query("SELECT * FROM `love_messages` WHERE `ids` = '".intval($autorize['id'])."' ORDER BY id DESC LIMIT $start,$wf");
while($arr = mysql_fetch_array($z)) {
mysql_query("UPDATE `love_messages` SET `reed` = '0' WHERE `ids` = '".intval($autorize['id'])."';");
if($arr['reed'] == "1") $new = "[NEW]"; else $new = "";
$uid = $arr['uid'];
$msg = $arr['msg'];
echo $class_d0;
echo 'От: <a href="/info_user.php?user_id='.$uid.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">'.$arr['login'].'</a> '.$new.'<br/>';
echo $arr['time'].'<br/>';
echo $msg.'<br/>';
echo '-&#187; <a href="'.$PHP_SELF.'?up=3&amp;user_id='.$uid.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Ответить</a><br/>';
echo $class_divz;
if($mod == '1') echo '---<br/>';
}
if($tp > ONPAGE_MESS) {
echo $class_d0; page($tp,$page,$wf,$url); echo $class_divz;
if($mod == '1') echo '<br/>---<br/>';
}
echo $class_d0;
echo '-&#187; <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сообщения</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}
else
{
echo $class_d2;
echo 'Входящие сообщения<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo 'Cообщений нет.<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '-&#187; <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сообщения</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}
break;

case "2":
$query = mysql_query("SELECT `id` FROM `love_messages` WHERE `uid` = '".intval($autorize['id'])."';");
if(mysql_num_rows($query) != "0") {
$url = ''.$PHP_SELF.'?up=2&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'&amp;';
$wf = ONPAGE_MESS;
$tp = mysql_num_rows($query);
$mp = ceil($tp/$wf);
$page = (int)$_GET['page'];
if($page < 1) $page = 1;
if($page > $mp) $page = $mp;
$start = $page * $wf - $wf;
if(!preg_match('#^[0-9]{1,3}$#i',$page)) $page = 1;
echo $class_d2;
echo 'Отправленные сообщения<br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';
$z = mysql_query("SELECT * FROM `love_messages` WHERE `uid` = '".intval($autorize['id'])."' ORDER BY id DESC LIMIT $start,$wf;");
while($arr = mysql_fetch_array($z)) {
if($arr['reed'] == "1") $new = 'не прочитано'; else $new = 'прочитано';
$ids = $arr['ids'];
$msg = $arr['msg'];
$sql = @mysql_query("SELECT * FROM `love_user` WHERE `id` = ".$ids." LIMIT 1;");
$user_nick = @mysql_fetch_array($sql);
$user_nicks = $user_nick['nick'];
echo $class_d0;
echo'<b>Я'.htmlspecialchars(">").'</b>';
echo '<a href="/info_user.php?user_id='.$ids.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">'.$user_nicks.'</a> '.$new.'<br/>';
echo $arr['time'].'<br/>';
echo $msg.'<br/>';
echo $class_divz;
if($mod == '1') echo '---<br/>';
}
if($tp > ONPAGE_MESS) {
echo $class_d0; page($tp,$page,$wf,$url); echo $class_divz;
if($mod == '1') echo '<br/>---<br/>';
}
echo $class_d0;
echo '-&#187; <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сообщения</a><br/>';
echo $class_divz;
if($mod == '1') echo '---<br/>';
}
else
{
echo $class_d2;
echo 'Отправленные сообщения<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo 'Cообщений нет.<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '-&#187; <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сообщения</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}
break;

case "3":
if(preg_match('#^[\d]{1,10}$#',intval($_GET['user_id']))) $ids = intval($_GET['user_id']); else $ids = '';
$_SESSION['rand'] = rand(1000,9999);
echo $class_d2;
echo 'Послать сообщение<br/>';
echo $class_divz;
if($mod == '1') {
echo '</small></p><p align="left"><small>';
echo 'ID получателя:<br/>';
if($_GET['error'] == '3') echo '<b>Ошибка!</b> Вы не можете писать самому себе!<br/>';
if($_GET['error'] == '1') echo '<b>Ошибка!</b> Пользователь с таким ID не зарегистрирован!<br/>';
echo '<input name="nm'.$rands.'" type="text" value="'.$ids.'" /><br/>';
echo 'Сообщение (max 500 символов):<br/>';
if($_GET['error'] == '2') echo '<b>Ошибка!</b> Введите сообщение!<br/>';
echo '<input name="nm1'.$rands.'" type="text" /><br/>';
echo '<select name="nm2'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<anchor>Отправить<go href="'.$PHP_SELF.'?up=4&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;r='.$_SESSION['rand'].'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nm' value='$(nm".$rands.")' />";
echo "<postfield name='nm1' value='$(nm1".$rands.")' />";
echo "<postfield name='nm2' value='$(nm2".$rands.")' />";
echo '</go></anchor><br/>';
}
else
{
echo'<form action="'.$PHP_SELF.'?up=4&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;r='.$_SESSION['rand'].'&amp;'.session_name().'='.session_id().'" method="post">';
echo $class_d1;
echo 'ID получателя:<br/>';
if($_GET['error'] == '3') echo '<b>Ошибка!</b> Вы не можете писать самому себе!<br/>';
if($_GET['error'] == '1') echo '<b>Ошибка!</b> Пользователь с таким ID не зарегистрирован!<br/>';
echo '<input name="nm" type="text" value="'.$ids.'" class="button" /><br/>';
echo 'Сообщение (max 500 символов):<br/>';
if($_GET['error'] == '2') echo '<b>Ошибка!</b> Введите сообщение!<br/>';
echo '<input name="nm1" type="text" class="button" /><br/>';
echo '<select name="nm2" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<input type="submit" value="Отправить" class="do_button" />';
echo $class_divz;
echo '</form>';
echo $class_d0;
}
if($mod == '1') echo '---<br/>';
echo '-&#187; <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сообщения</a><br/>';
echo $class_divz.$class_d0;
echo '&#171;- <a href="/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
echo $class_divz;
if($mod == '1') echo '---<br/>';
break;

case "4":
if(preg_match('#^[0-9]{1,10}$#',intval($_POST['nm']))) {
if(intval($_POST['nm']) != intval($autorize['id'])) {
if($_POST['nm1'] != "") {
if($_SESSION['rand'] == $_GET['r']) {
$nm = intval($_POST['nm']);
$arr = mysql_query("SELECT * FROM `love_user` WHERE `id` = '".$nm."';");
if(mysql_num_rows($arr) != "0") {
$nm1 = trim(htmlspecialchars(addslashes($_POST['nm1'])));
$nm1 = substr($nm1, 0, 500);
$nm2 = intval($_POST['nm2']);
if($nm2 == 1) $nm1 = translit($nm1);
unset($_SESSION['rand']);
mysql_query("INSERT INTO `love_messages` SET `ids` = '".$nm."', `uid` = '".intval($autorize['id'])."', `login` = '".$autorize['name']."', `time` = CURRENT_TIMESTAMP(), `msg` = '".$nm1."', `reed` = '1', `time_del` = '".time()."';");
echo $class_d2;
echo 'Мои сообщения<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo 'Ваше сообщение успешно отправлено!<br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d0;
echo '-&#187; <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сообщения</a><br/>';
echo $class_divz.$class_d0;
echo '&#171;- <a href="'.$PHP_SELF.'?up=3&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
echo $class_divz;
if($mod == '1') echo '---<br/>';
}
else
{
header('Location: '.$PHP_SELF.'?up=3&error=1&partner='.$partner.'&mod='.$mod.'&user_id='.$nm.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id());
}
}
else
{
unset($_SESSION['rand']);
header('Location: '.$PHP_SELF.'?up=3&partner='.$partner.'&mod='.$mod.'&user_id='.$nm.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id());
}
}
else
{
header('Location: '.$PHP_SELF.'?up=3&error=2&partner='.$partner.'&mod='.$mod.'&user_id='.$nm.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id());
}
}
else
{
header('Location: '.$PHP_SELF.'?up=3&error=3&partner='.$partner.'&mod='.$mod.'&user_id='.$nm.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id());
}
}
else
{
header('Location: '.$PHP_SELF.'?up=3&partner='.$partner.'&mod='.$mod.'&user_id='.$nm.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id());
}
break;

default: header('Location: '.$PHP_SELF.'?partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand.'&'.session_name().'='.session_id());
}
echo $class_d1;
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;

?>